# Uses of Interface
org.eclipse.equinox.p2.metadata.index.IIndexProvider

Packages that use IIndexProvider
Package
Description
org.eclipse.equinox.internal.p2.metadata.index
org.eclipse.equinox.p2.metadata.expression
Provides a simple expression language used to represent requirements and filters in the metadada
org.eclipse.equinox.p2.metadata.index
Provides classes for metadata query indexing
org.eclipse.equinox.p2.query
Provides common classes for the query mechanism.

## Uses of IIndexProvider in org.eclipse.equinox.internal.p2.metadata.index

Classes in org.eclipse.equinox.internal.p2.metadata.index that implement IIndexProvider
Modifier and Type
Class
Description
`class`
`org.eclipse.equinox.internal.p2.metadata.index.IndexProvider<T>`

## Uses of IIndexProvider in org.eclipse.equinox.p2.metadata.expression

Methods in org.eclipse.equinox.p2.metadata.expression that return IIndexProvider
Modifier and Type
Method
Description
`IIndexProvider<?>`
IEvaluationContext.`getIndexProvider()`
Methods in org.eclipse.equinox.p2.metadata.expression with parameters of type IIndexProvider
Modifier and Type
Method
Description
`IEvaluationContext`
IContextExpression.`createContext(Class<? extends T> elementClass, IIndexProvider<T> indexProvider)`
Creates a new context to be passed to a subsequent evaluation.
`void`
IEvaluationContext.`setIndexProvider(IIndexProvider<?> indexProvider)`

## Uses of IIndexProvider in org.eclipse.equinox.p2.metadata.index

Methods in org.eclipse.equinox.p2.metadata.index with parameters of type IIndexProvider
Modifier and Type
Method
Description
`IQueryResult<T>`
IQueryWithIndex.`perform(IIndexProvider<T> indexProvider)`
Evaluates the query using the `indexProvider`.

## Uses of IIndexProvider in org.eclipse.equinox.p2.query

Classes in org.eclipse.equinox.p2.query that implement IIndexProvider
Modifier and Type
Class
Description
`final class`
`CompoundQueryable<T>`
A queryable that holds a number of other IQueryables and provides a mechanism for querying the entire set.
Methods in org.eclipse.equinox.p2.query with parameters of type IIndexProvider
Modifier and Type
Method
Description
`IQueryResult<T>`
ExpressionMatchQuery.`perform(IIndexProvider<T> indexProvider)`
`IQueryResult<T>`
ExpressionQuery.`perform(IIndexProvider<T> indexProvider)`
`void`
ExpressionMatchQuery.`setIndexProvider(IIndexProvider<T> indexProvider)`